Page MenuHomePhabricator

Create N'Ko Wikipedia
Closed, ResolvedPublic

Description

The Language committee approved the creation of the N'Ko Wikipedia:

Request page: https://meta.wikimedia.org/wiki/Requests_for_new_languages/Wikipedia_N'Ko
Language code: nqo
Site URL: nqo.wikipedia.org
Project name: ߥߞߌߔߘߋߞߎ
Project namespace: ߥߞߌߔߘߋߞߎ
Project talk namespace: ߥߞߌߔߘߋߞߎ ߢߊߝߐߞߣߍ
Project logo: https://commons.wikimedia.org/wiki/File:Wikipedia-logo-v2-nqo.svg
Timezone: Africa/Conakry

Local file uploads: disabled

Details

Related Gerrit Patches:
mediawiki/services/parsoid : masterUpdate wmf sitematrix: add nqowiki
operations/mediawiki-config : masterAdd nqowiki to rtl wikis
mediawiki/extensions/WikimediaMessages : masterAdd nqowiki to WikimediaMessages
operations/mediawiki-config : masterInitial configuration for nqowiki
operations/dns : masterAdd nqo to langlist

Event Timeline

Amire80 created this task.Aug 12 2019, 3:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 12 2019, 3:54 PM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptAug 12 2019, 3:55 PM
Koavf added a subscriber: Koavf.Aug 12 2019, 5:36 PM
MarcoAurelio added a subscriber: MarcoAurelio.EditedAug 15 2019, 10:31 AM

Wiki creations seem to still be blocked. We can however make sure translations for extensions that add namespaces do exist for when the wiki is created adding them now: Gadgets, Scribunto, etc.

Koavf added a comment.Aug 15 2019, 2:56 PM

nap.ws is being imported as I post this.

It's still insanely hard to create a wiki. We can create a wiki, if one is really really needed, but it's even more complicated than usually.

Per what @Ladsgroup said to me, the issue should be known.

Well... people want to write encyclopedic articles without having to use prefixes in titles, and to use Content Translation and Wikidata :)

If nap.wikisource could be created, it would be very nice to create this one, too. And hi.wikisource.

The creation process is terribly cumbersome and expensive when it comes to measure the time that volunteers and sysadmins have to spend, even without the bugs in the creation script. Let's just fix the addWiki issues first. Creating wikis is not an urgent matter and I think there's no need to create broken wikis and spend N hours trying to find what was broken this time, and fix it, per @Urbanecm. Thanks.

MarcoAurelio changed the task status from Open to Stalled.Aug 15 2019, 8:23 PM
jhsoby added a subscriber: jhsoby.Aug 19 2019, 11:49 AM
Urbanecm changed the task status from Stalled to Open.Sep 18 2019, 7:23 PM
Urbanecm triaged this task as Low priority.

Reopening, creating a new wiki is relatively easily doable now, no need to hard block IMO. Obviously, fully fixing T212881 is higher priority than any new wiki.

Ankry added a subscriber: Ankry.Sep 23 2019, 8:24 PM

Change 539162 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Initial configuration for nqowiki

https://gerrit.wikimedia.org/r/539162

Change 539163 had a related patch set uploaded (by Urbanecm; owner: Ladsgroup):
[operations/dns@master] Add nqo to langlist

https://gerrit.wikimedia.org/r/539163

Change 539163 merged by Dzahn:
[operations/dns@master] Add nqo to langlist

https://gerrit.wikimedia.org/r/539163

Mentioned in SAL (#wikimedia-operations) [2019-09-25T17:29:52Z] <mutante> DNS - adding nqo (N'Ko) to langlist for new nqo.wikipedia, approved by langcom https://meta.wikimedia.org/wiki/Requests_for_new_languages/Wikipedia_N'Ko (T230359)

Change 539162 merged by jenkins-bot:
[operations/mediawiki-config@master] Initial configuration for nqowiki

https://gerrit.wikimedia.org/r/539162

Change 539166 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/extensions/WikimediaMessages@master] Add nqowiki to WikimediaMessages

https://gerrit.wikimedia.org/r/539166

Mentioned in SAL (#wikimedia-operations) [2019-09-25T17:54:00Z] <ladsgroup@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Create nqowiki T230359 (duration: 01m 04s)

Mentioned in SAL (#wikimedia-operations) [2019-09-25T17:56:10Z] <ladsgroup@deploy1001> Synchronized static/images/project-logos/: Create nqowiki T230359 (duration: 01m 05s)

Mentioned in SAL (#wikimedia-operations) [2019-09-25T17:57:25Z] <ladsgroup@deploy1001> Synchronized langlist: Create nqowiki T230359 (duration: 01m 02s)

Change 539166 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Add nqowiki to WikimediaMessages

https://gerrit.wikimedia.org/r/539166

Change 539171 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/services/parsoid@master] Update wmf sitematrix: add nqowiki

https://gerrit.wikimedia.org/r/539171

Change 539172 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/mediawiki-config@master] Add nqowiki to rtl wikis

https://gerrit.wikimedia.org/r/539172

Change 539172 merged by jenkins-bot:
[operations/mediawiki-config@master] Add nqowiki to rtl wikis

https://gerrit.wikimedia.org/r/539172

Mentioned in SAL (#wikimedia-operations) [2019-09-25T18:07:53Z] <ladsgroup@deploy1001> Synchronized dblists/rtl.dblist: Create nqowiki T230359 (duration: 01m 05s)

Change 539171 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Update wmf sitematrix: add nqowiki

https://gerrit.wikimedia.org/r/539171

Ladsgroup closed this task as Resolved.Sep 25 2019, 6:12 PM
Ladsgroup claimed this task.

The main thing is done, you can make subtickets and such to track importing, and other things (https://wikitech.wikimedia.org/wiki/Add_a_wiki#RESTBase and onward.)

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptSep 25 2019, 6:12 PM

Change 539174 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/services/restbase/deploy@master] Add nqowiki

https://gerrit.wikimedia.org/r/539174

Change 539175 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/services/cxserver@master] Add nqo to languages

https://gerrit.wikimedia.org/r/539175

Ankry removed a subscriber: Ankry.Sep 25 2019, 7:29 PM
DannyS712 added a subscriber: DannyS712.

[batch] remove patch for review tag from resolved tasks